.modal__container {
  position: fixed;
  top: 10%;
  left: 5%;
  background-color: hsla(208, 18%, 75%, .8);
  width: 90%;
  height: 80%;
  display: grid;
  align-items: flex-end;
  overflow: hidden;
  transition: all .3s;
  z-index: var(--z-modal);
  visibility: hidden;
  opacity: 0;
  border: solid 8px var(--blue-light);
  border-radius: 20px;
}

.show-modal {
  visibility: visible;
  opacity: 1;
}

.modal__content {
  position: relative;
  background-color: var(--container-color);
  text-align: center;
  padding: 3rem 2rem 2rem;
  border-radius: 1rem 1rem 0 0;
  transition: all .3s;
  transform: translateY(10%);
}

.modal__img {
  width: 150px;
  margin-bottom: .75rem;
}

.modal__close {
  display: inline-flex;
  background-color: var(--first-color);
  border-radius: .25rem;
  color: #FFF;
  font-size: 1.5rem;
  position: absolute;
  top: 2rem;
  right: 2rem;
  cursor: pointer;
}

.modal__title {
  font-size: 1.75rem;
  color: var(--title-color);
  font-weight: 500;
}

.modal__description {
  margin-bottom: 1.5rem;
}

.modal__button-width {
  width: 90%;
}

.modal__button-link {
  display: block;
  margin: 1rem auto 0;
  background-color: transparent;
  color: var(--first-color);
  font-weight: 500;
}

.main-body#blur.active {
  filter: blur(20px);
  pointer-events: none;
  user-select: none;
}